test:clang10-mpi-debug:
  image: localhost:5000/ubuntu_clang10_mpi
  stage: test
  needs: []
  script:
    - mkdir -p build/clang10-debug-mpi
    - cd build/clang10-debug-mpi
    - CXX=clang++-10 CC=clang-10 cmake ../.. -DCMAKE_BUILD_TYPE=Debug
    - make
    - make check
  cache:
    key: "${CI_COMMIT_REF_SLUG}-clang10-debug-mpi"
    paths:
      - build/clang10-debug-mpi
    untracked: true
